/**
 * 弹窗
 * **/
// 弹窗
require("./lib/layer.min.css");
window.layer = require("./lib/layer.js");
exports = module.exports = {
  layer: [
    () => {
      this.open = function(param) {
        return window.layer.open({
          title: param.title, // 设置弹层标题
          content: param.content, // 设置弹层内容
          skin: param.skin, // 设定弹层显示风格,目前支持配置 footer（即底部对话框风格）、msg（普通提示） 两种风格。
          time: param.time, //  控制自动关闭层所需秒数
          type: param.type, // 设置弹层的类型
          btn: param.btn, // 不设置则不显示按钮。如果只需要一个按钮，则btn: '按钮'，如果有两个，则：btn: ['按钮一', '按钮二']。
          yes: param.yes, // 点确定按钮触发的回调函数，返回一个参数为当前层的索引
          no: param.no, // 点取消按钮触发的回调函数
          className: param.className, // 自定义一个css类
          success: param.success, // 该回调参数返回一个参数为当前层元素对象
          shade: param.shade || true, // 默认：true，该参数可允许你是否显示遮罩，并且定义遮罩风格
          shadeClose: param.shadeClose || true, // 默认：true，是否点击遮罩时关闭层
          end: param.end, // 层彻底销毁后的回调函数
          anim: param.anim // 可支持的支持动画配置：scale（默认）、up（从下往上弹出），如果不开启动画，设置false即可
        });
      };
      this.closeAll = function() {
        window.layer.closeAll();
      };
      this.close = function(index) {
        window.layer.close(index);
      };
      // 提示信息
      this.msg = function(param) {
        if (!angular.isObject(param)) {
          console.log("layer msg function:param error");
          return false;
        }
        if (!param.content) {
          console.log("layer msg function:param content error");
          return false;
        }
        if (!angular.isUndefined(this.msgIndex)) {
          this.close(this.msgIndex);
        }
        param.className = "layer-msg";
        param.time = param.time || 3;
        param.type = 1;
        param.skin = "msg";
        this.msgIndex = this.open(param);
        return this.msgIndex;
      };
      // alert
      this.panel = function(param) {
        if (!angular.isObject(param)) {
          console.log("layer msg function:param error");
          return false;
        }
        if (!param.content) {
          console.log("layer msg function:param content error");
          return false;
        }
        if (!angular.isUndefined(this.closeAll)) {
          this.closeAll();
        }
        if (!angular.isUndefined(this.alertIndex)) {
          this.close(this.alertIndex);
        }
        param.className = "layer-panel";
        if (param.skin == "footer" && param.title) {
          param.className = "layer-panel layer-panel-footer";
        }
        param.type = 0;
        this.alertIndex = this.open(param);
        return this.alertIndex;
      };
      this.getAlertIndex = function() {
        return this.alertIndex;
      };
      return this;
    }
  ]
};
